﻿@charset "utf-8";
/* CSS Document */

/* klassisches Layout für SELFHTML-Beispiele */

/*@import url(https://fonts.googleapis.com/css?family=Playball); */

/* Farben, Abstände und Rahmen */
/* Stand: 19.09.2019*/

html {
  background: #fff8dc;
  color: #5d0505;
}

body {
	margin: 1em auto;
	max-width: 65em;
	font-family: sans-serif;
}

h1, main, aside, main svg {
	border-radius: 0 .5em .5em;
	border: 1px none;
	padding: .5em 1em;
	margin: 0;
}

h1, h2 {
	background: #fff8dc;
	color: #800000;
	font-family: URW Chancery L;
	font-style: italic;
	font-size: 2.5rem;
}

h3 {
	background: #fff8dc;
	color: #8B4513
	font-family: URW Chancery L;
	font-style: italic;
	font-size: 1.5rem;
}

aside h2 {
	font-size: 2rem;
	color: #5d0505;	
}

header {
  border-color: transparent;
}

header img {
	width: 10%;
	float: left;
	margin: 0.1em;
}

article img {
	width: 33%;
	float: right;
	margin-left: 0.2em;
}

section img {
	width: 33%;
	float: right;
	margin-left: 0.2em;
}

figure {
  display: inline-block;
  width: 30%;
  margin: 0.2em;
}
figure img {
  width: 100%;
}
figure figcaption {
  font-style: italic;

}

/*Aussehen der Abschnitte (Rahmen und Farbe) */
article {
  border-color: transparent;
}
#news {
  border-color: #5d0505;
  border: 2px solid;
}
#info {
  border-color: #5d0505;
  border: 2px solid;
}
footer {
  border-color: #5d0505;
  border: 2px solid;
  font-size: 16px;
}

nav a {
  background: #5d0505;
  border: 1px solid; 
  border-color: #5d5050;
  border-left-color: #f0d9a2;
  color:  #f0d9a2;
}

nav li:first-child  a{ border-radius: 1em 0 0 1em; }
nav li:last-child  a{ border-radius: 0 1em 1em 0; }

nav a:hover, nav a:focus {
  background: orange;
  border-color: #5d5050;
  color:  #5d0505;
}

nav a[aria-current=page] {
	color:orange;
	font-weight:bold;
}
nav a[aria-current=page]:hover,nav a[aria-current=page]:focus {
	color:#5d0505;

}

a {
  color: green;
}

/* responsives Layout */

body {
  display: flex;
  flex-flow: row wrap;
}

/* Mobile first - alle Dokument-Blöcke bekommen 100% Breite */

header, nav, article, section, aside, footer {
  border-radius: 0.5em 0.5em 0.5em;
  padding: 0.5em;
  margin: 0.5em;
  flex: 1 1 100%; 
}

header {
  display: flex;
  flex-flow: row wrap;
}
header * {
  flex: 1 1 0%;
}
header img {
  flex: 0 0 150px;
  margin-right: 10px;
  max-height: 90px;
  max-width: 107px;
}
header nav {
  flex: 1 1 100%;
}
nav, nav ul, nav li{
  margin: 0;
  padding: 0;
  border: none;
}
nav ul {
  display: flex;
  flex-direction: column;
}
nav li {
  list-style-type: none;
  margin: 1.3em 0;
  padding:0;
  flex: 1 1 100%;
}
nav a {
  display: inline-block;
  margin: 0;
  width: 96%;
  padding: 0.5em 2%;
  text-decoration: none;
  text-align: center;
}

aside ul {
  display: flex;
  flex-direction: column;
  
}
aside li {
  list-style-type: none;
  margin: 0;
  padding:0;
  flex: 1 1 100%;
}

aside img {


}

footer {
  display: flex;
  flex-flow: row wrap;
}
footer * {
  flex: 1 1 0%;
  justify-content: space-between;
}
footer p:last-child {
  text-align: right;
}

/* **************************************************/

/* Smart Phones und Tablets mit mittlerer Auflösung */

@media all and (min-width: 35em) {
  header img {
    margin-right: 50px;
  }
  nav ul {
    flex-direction: row;
  }
  nav li {
    flex: 1 1 0%;
  }
  
  aside ul {
     flex-direction: column;
  }
  
  aside li {
  
    flex: 1 1 0%;
  }
  article {
    order: 3;
  }

  #news {
    flex: 1 1 0%;
    order: 2;
  }

  #info {
    /* durch auto werden die beiden asides in eine Zeile gesetzt */
    flex: 1 1 0%;
    order: 4;
  }
  
  footer {
    order: 5;
  }
}

/* Large screens */
     
@media all and (min-width: 50em) {
  article {
    /* Der Article wird 2.5x so breit wie die beiden asides! */
    order: 3;
    flex: 5 1 0%;
  }
 
 
  aside {
    flex: 1 1 0%;
  }
  
  #news {
    flex: 1 1 0%;
    order: 2;
    align-self: center;
    height: 40em;
  }
  
  #info {
    flex: 1 1 0%;
    order: 4;
    align-self: center;
    height: 40em;
  }
 
}

